# Uses of Interface
org.eclipse.birt.report.engine.api.script.instance.IDataSourceInstance

Packages that use IDataSourceInstance
Package
Description
org.eclipse.birt.report.engine.api.script.eventadapter
This package contains adapters for the event handler interfaces in org.eclipse.birt.report.engine.api.script.eventhandler.
org.eclipse.birt.report.engine.api.script.eventhandler
This package contains event handler interfaces for the BIRT scripting environment.
org.eclipse.birt.report.engine.api.script.instance
Report element representations in the BIRT scripting environment.

## Uses of IDataSourceInstance in org.eclipse.birt.report.engine.api.script.eventadapter

Methods in org.eclipse.birt.report.engine.api.script.eventadapter with parameters of type IDataSourceInstance
Modifier and Type
Method
Description
`void`
DataSourceEventAdapter.`afterOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
`void`
DataSourceEventAdapter.`beforeClose(IDataSourceInstance dataSource, IReportContext reportContext)`
`void`
DataSourceEventAdapter.`beforeOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
`void`
ScriptedDataSourceEventAdapter.`close(IDataSourceInstance dataSource)`
`void`
ScriptedDataSourceEventAdapter.`open(IDataSourceInstance dataSource)`

## Uses of IDataSourceInstance in org.eclipse.birt.report.engine.api.script.eventhandler

Methods in org.eclipse.birt.report.engine.api.script.eventhandler with parameters of type IDataSourceInstance
Modifier and Type
Method
Description
`void`
IDataSourceEventHandler.`afterOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the afterOpen event
`void`
IDataSourceEventHandler.`beforeClose(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the beforeClose event
`void`
IDataSourceEventHandler.`beforeOpen(IDataSourceInstance dataSource, IReportContext reportContext)`
Handle the beforeOpen event
`void`
IScriptedDataSourceEventHandler.`close(IDataSourceInstance dataSource)`
Handle the close event
`void`
IScriptedDataSourceEventHandler.`open(IDataSourceInstance dataSource)`
Handle the open event

## Uses of IDataSourceInstance in org.eclipse.birt.report.engine.api.script.instance

Methods in org.eclipse.birt.report.engine.api.script.instance that return IDataSourceInstance
Modifier and Type
Method
Description
`IDataSourceInstance`
IDataSetInstance.`getDataSource()`